2 Replies Latest reply: Jan 23, 2013 4:33 PM by dearcher
dearcher Level 1 Level 1 (0 points)

I just purchased QuickBooks 2013 and it says I need Version 10.7.3 or higher. I currently have 10.6.8 and when I try to do a software update is says I am up-to-date. Do I need to purchase an upgrade?


MacBook Pro, Mac OS X (10.6.8)